require 'bigdecimal'
x = BigDecimal("3.2")
y = BigDecimal("2.0")
z = BigDecimal("1.2")

if (x - y) == z
  puts "equal"        # prints "equal"!
else
  puts "not equal"
end

a = x*y*z
a.to_s                  # "0.768E1" (default: engineering notation)
a.to_s("F")             # "7.68"    (ordinary floating point)

